> ## Documentation Index
> Fetch the complete documentation index at: https://docs.paylora.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Get API Key by UUID

> API Key get by uuid. Permissions ["customer"]



## OpenAPI

````yaml https://api.paylora.org/api-doc-json get /api/v1/api_key/{uuid}
openapi: 3.0.0
info:
  title: PAYLORA API
  description: Paylora Backend API
  version: '1.0'
  contact: {}
servers:
  - url: https://api.paylora.org
security: []
tags: []
paths:
  /api/v1/api_key/{uuid}:
    get:
      tags:
        - ApiKey
      summary: Get API Key by UUID
      description: API Key get by uuid. Permissions ["customer"]
      operationId: ApiKeyController_findApiKeyByUuid_v1
      parameters:
        - name: uuid
          required: true
          in: path
          description: The UUID of the API Key
          schema:
            example: a1b2c3d4-e5f6-7890-1234-567890abcdef
            type: string
      responses:
        '200':
          description: Resource model
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/ResourceDto'
                  - properties:
                      data:
                        $ref: '#/components/schemas/ApiKey'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                example:
                  statusCode: 400
                  message:
                    - '[value] is not valid'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                example:
                  statusCode: 401
                  message: Invalid signature | jwt must be provided
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                type: object
                example:
                  statusCode: 403
                  message: Only [admin, customer] has access
        '404':
          description: Resource Not Found
          content:
            application/json:
              schema:
                type: object
                example:
                  statusCode: 404
                  message: Resource Not Found
        '409':
          description: Conflict
          content:
            application/json:
              schema:
                type: object
                example:
                  statusCode: 409
                  message: Resource with unique value (email, name etc) already exist
        '429':
          description: Too Many Requests
          content:
            application/json:
              schema:
                type: object
                example:
                  statusCode: 429
                  message: Too Many Requests
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                type: object
                example:
                  statusCode: 500
                  message: Sever error message
      security:
        - JWT: []
components:
  schemas:
    ResourceDto:
      type: object
      properties:
        success:
          type: boolean
          example: true
          description: Indicates if the request was successful
        data:
          type: object
          description: The data returned by the API
      required:
        - success
        - data
    ApiKey:
      type: object
      properties:
        uuid:
          type: string
          example: a1b2c3d4-e5f6-7890-1234-567890abcdef
          description: The UUID of the API Key
        user_uuid:
          type: string
          example: a1b2c3d4-e5f6-7890-1234-567890abcdef
          description: The UUID of the user associated with the API Key
        status:
          type: string
          enum:
            - active
            - inactive
          example: active
          description: The status of the API Key
        key:
          type: string
          example: api_key_XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX
          description: The API Key itself
        url:
          type: string
          example: https://example.com
          description: Web address
      required:
        - uuid
        - user_uuid
        - status
        - key
        - url
  securitySchemes:
    JWT:
      scheme: bearer
      bearerFormat: JWT
      type: http

````